- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.cmsMetadataValues/batchActivate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.cmsMetadataValues/batchActivate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.cmsMetadataValues/batchActivate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.cmsMetadataValues/batchActivate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.cmsMetadataValues/batchActivate#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.cmsMetadataValues/batchActivate#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.cmsMetadataValues/batchActivate#try-it)

Activates a list of `CmsMetadataValue` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/cmsMetadataValues:batchActivate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `CmsMetadataValues` will be activated. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. The resource names of the `CmsMetadataValue`s to activate. Format: `networks/{networkCode}/cmsMetadataValues/{cmsMetadataValueId}` |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).